Subject: Re: [PATCH 18/29] netfilter: notify about NF_QUEUE vs emergency skbs

From: Peter Zijlstra <[email-masked]>
Date: Sat, 24 Feb 2007 17:18:56 +0100

On Sat, 2007-02-24 at 17:17 +0100, Patrick McHardy wrote:

> I don't really see why
> queueing is special though, dropping the packets in the ruleset
> will break things just as well, as will routing them to a blackhole.
> I guess the user just needs to be smart enough not to do this.

Its user-space and no emergency packet may rely on user-space because it
most likely is needed to maintain user-space.